<?php

namespace Slovocast\Domain\Entity;

use Slovocast\Domain\Entity as EntityTrait;

class Episode
{
    use EntityTrait;

    private string $duration;

    public function __construct(
        private string $title,
        private string $link,
        private int $length,
        private string $description,
        private bool $explicit = false,
    ) {
        $this->duration = $this->parseDuration($this->length);
    }

    /**
     * @TODO Figure out how to parse second to HH:MM:SS
     */
    protected function parseDuration(int $length): string
    {
        $hours = floor($length / 3600);
        $minutes = floor($length / 60) % 60;
        $seconds = $length % 60;

        return "";
    }
}
